
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "shards_client/version"

Gem::Specification.new do |spec|
  spec.name          = "shards_client"
  spec.version       = ShardsClient::VERSION
  spec.authors       = ["Diego Piccinini Lagos"]
  spec.email         = ["dlagos@bookingbug.com"]

  spec.summary       = %q{Library to call the shards API, list and manage easier the location, stages, shards and site objects.}
  spec.description   = %q{Using Dotenv and Faraday, to setup and call the shards service API.}
  spec.homepage      = "https://github.com/BookingBug/shards_client"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://github.com/BookingBug/shards_client"
    spec.metadata["changelog_uri"] = "https://github.com/BookingBug/shards_client/CHANGELOG.md"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end
  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "faraday", "~> 0.15"
  spec.add_dependency "dotenv", "~> 2.5"
  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard-rspec", "~> 4.3"
  spec.add_development_dependency "byebug", "~> 10.0"
end
